Packages - Bug #2845

Plasma Desktop files, taskbar icons don't load.
2020-07-24 02:27 PM - infinite_recursion

Status: not-a-bug % Done: 0%
Priority: bug

Assignee:

Category:

Description

About 3-4 days ago, my plasma desktop files and taskbar icons don't load anymore. On right click | face a drop down menu all right
but on pressing Leave -> Shutdown, the transition screen has nothing (normally shows 5 icons with 30s to shutdown) and it doesn't
proceed. | can open konsole with Ctrl+Alt+t and access all programs through command line. If | minimize them, they're gone because
taskbar doesn't have anything. If | wait for a while and the lock screen arrives, | can't get back to plasma because it's fully black and
unresponsive.

Are there any log files for this. Where can | see the error logs?
| shutdown using "openrc-shutdown -p now" and everything shuts down safely. | use LxQt currently.
| reinstalled plasma while in LxQt session. Doesn't solve the problem. Is reinstalling and "pacman -R | pacman -S" different?

P.S. | request parabola developers to have safe shutdown in case of long pressing power button. Currently, | have many filesystem
errors if | shutdown by long pressing power button. It's scary to clean things.

History

#1 - 2020-07-25 11:42 AM - jschwart

Do you have multiple screens? | have issues with the panel not showing up as well but only when my external screen is attached.

#2 - 2020-07-25 01:01 PM - freemor

The long press of the power button is handled in hardware. Far below the kernel level. This is important because if something hangs the kernel, or
causes a kernel panic you can still shut down without having to cut the mains.

Does a short press on power shut down. I'm not sure if openRC sets this up or not, but a short press on power should work as a safe shutdown. If it
does nothing then it just isn't set up yet. Since you can shutdoen the the openrc command you mentioned it's clear that it's just a case of GUI not
working right but the rest of the system is. If short press is not yet set up it's not hard to do

You can always switch away from the GUI with CTRL-ATL-fx where x=1-9. this will switch you to a plain VT where you can log in and do what ever
rom the CLI. CTRL-ALT-F5 is probably a safe bet. The GUI will be on one of the Fx's, probably 1-3, depending on how your system is set up. So you
can CRTL-ALT-F5. issue commands CTRL-ALT-Fz (where z is the VT your GUI is running in.) to switch back to GUI.

If you are launch you DEs from the comandline you should be able to tell the command that launches the session to be more verbose or to log debug
info to help Diagnose the problem

#3 - 2020-07-25 01:08 PM - bill-auger
by default, the GUI is CTRL-ALT-F1

#4 - 2020-07-25 02:21 PM - infinite_recursion
Do you have multiple screens? | have issues with the panel not showing up as well but only when my external screen is attached.
Nope, just a single screen.
Yes, GUI is not working right. There's no issue with base system. | see that kworkspace is the element that does these things, loading a taskbar and
stuff.

You can always switch away from the GUI with CTRL-ATL-fx

Thanks, this helps, | tried ALT+fx for quite some time earlier!

Does a short press on power shut down.

2024-04-10 1/4




I'm not gonna try that. I'm scared. I'll try it next time my system fails to respond.

If short press is not yet set up it's not hard to do

No, I'd like something different. Difference between short and long press is too narrow. I'd like CTRL+ALT+SHIFT+P to shutdown. Can | do that, how?

#5 - 2020-07-25 02:42 PM - bill-auger

each WM/DE manages keyboard shortcuts in its own way - probably
there is something to allow creating them in its "control panel",
"settings", or whatever KDE calls it

if CTRL+ALT+SHIFT+P is the KDE default keybinding for shutdown,
and if it is not working now; or if “sudo poweroff* does not

work, then there may be a different bug

it is best to keep each bug report focused on a single issue -

the title of this bug report is related to desktop files and

taskbar icons; so shutdown would be another topic for a
different bug report

#6 - 2020-07-25 03:01 PM - infinite_recursion

- File error added
#7 - 2020-07-25 05:42 PM - freemor
You may want to use the built in "magic sysrq keys" that are defined in the kernel and speciffically for dealing with unresponsive systems.

You can enable then temporarilay with:

sysctlkernel.sysrg=1

or

echo "1" > /proc/sys/kernel/sysrqg

You can learn more about them at:
https://wiki.archlinux.org/index.php/Keyboard_shortcuts#Kernel (SysRq)
https://en.wikipedia.org/wiki/Magic_SysRq_key

You proabaly want to edit your xorg config to enable the ZAP key CTRL+ALT+Backspace which kills the X session.
By default, the key combination Ctrl+Alt+Backspace is disabled. You can enable it by passing terminate:ctrl_alt_bksp to XkbOptions. This can
also be done by binding a key to Terminate_Server in xmodmap (which undoes any existing XkbOptions setting). In order for either method to
work, one also needs to have DontZap set to "off" in ServerFlags; however, from at least version R6.8.0 (year 2004) [65][1] this is the default.

XkbOptions lives in xorg.conf files, in the: Section "InputClass" Stanza, in a line that looks like: Option "XkbOptions" "<desired options here>"

Both the Zap key and the SysRq keys are very handy for situations like yours.

#8 - 2020-07-25 05:52 PM - bill-auger
WRT this BR specifically, these look interesting

WARNING: Cannot find style "Desktop"
WARNING: Cannot find style "Plasma"

do you have the 'plasma’ set and the 'plasma-meta' meta-package installed (and no i dont know why there needs to be both) - i would try installing
them both

# pacman -S plasma plasma-meta —-needed

#9 - 2020-07-25 05:57 PM - bill-auger
oops - a third KDE-related bug #2847

$ sudo pacman -S plasma plasma-meta —--needed
warning: cannot resolve "discover", a dependency of "plasma-meta"
The following package cannot be upgraded due to unresolvable dependencies:
plasma-meta

better make that:

$ sudo pacman -S plasma plasma-meta --needed --assume-installed=discover

#10 - 2020-07-25 06:38 PM - infinite_recursion

I've never installed meta. | don't think it's required. I'll rather not, now that you filed a freedom issue.

Both the Zap key and the SysRq keys are very handy for situations like yours.

I'll check them out.

#11 - 2020-07-25 06:46 PM - bill-auger

it is not truly a freedom issue - that is just the nearest

category for it - it is not possible to install the blacklisted
package - after that BR is fixed, the end result will be exactly
the same as what "--assume-installed=discover" does - it simply
ignores the request to install that package

that meta-package is probably the standard way to install KDE -
also, you do not actually need to install anything - run this
command instead and post the output:

$ sudo pacman -S plasma plasma-meta --needed --assume-installed=discover —--print

that command will not install anything - but it will show

if it actually wants to install anything - that is the

interesting thing to know - if that command lists any packages,
then you do not have a complete KDE system, and that could
explain any sort of bug

#12 - 2020-07-26 09:12 AM - infinite_recursion

$ sudo pacman -S plasma plasma-meta --needed --assume-installed=discover —--print
http://repo.parabola.nu/extra/os/x86_64/plasma-meta-5.19-1-any.pkg.tar.zst

$

So, | think things are good wrt plasma group having all packages. There's some internal bug in some package of the group.
#13 - 2020-07-26 09:54 PM - jschwart

| see the issue too now without an extra screen attached.

It seems my issue is different actually. The panel is missing here.

#14 - 2020-08-06 03:06 PM - bill-auger

- File plasma.png added

i installed plasma but i do not see anything wrong with it - can you indicate what in this screenshot is incorrect?
plasma.png

#15 - 2020-08-07 11:18 AM - infinite_recursion

Yes, your plasma has loaded correctly. This application box and the icons on the bar below don't load in my case. jschwart, were you able to correct
this?

| reinstalled gt and plasma again but the same error throws up!

#16 - 2020-08-07 02:38 PM - bill-auger

that screen-shot is the cleanest out-of-the-box KDE - i only
installed 'plasma-meta' and did nothing to it - the problem
may be with the theme(s) that you have chosen; and not KDE itself

try the different icon sets on the "icons" tab of "system
settings" - "MATE" and "nuoveXT.2.2" seem to be the most
complete - many of the others are showing as pure black - if you
are using a dark theme, then those would be invisible

#17 - 2020-08-10 09:16 AM - infinite_recursion

Plasma is back with all it's glory. Thank you guys, the recent update of k__ suite solved it. | use breeze-dark.

#18 - 2020-08-10 08:22 PM - bill-auger

- Status changed from unconfirmed to not-a-bug

Files
